Summary: Hard drive/filesystem benchmark program
Name: bonnie++
Version: 1.03e
Release: 6%{?dist}
License: GPLv2
Group: Applications/System
URL: http://www.coker.com.au/bonnie++/
Source0: http://www.coker.com.au/bonnie++/%{name}-%{version}.tgz
Patch0: bonnie++-1.03b-build.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires: gcc-c++

%description
Bonnie++ is a benchmark suite that is aimed at performing a number of
simple tests of hard drive and file system performance. Then you can
decide which test is important and decide how to compare different
systems after running it.

%prep
%setup -q
%patch0 -p1 -b .build

%build
%configure
make MORECFLAGS="%{optflags}"

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc *.txt
%{_sbindir}/bonnie++
%{_sbindir}/zcav
%{_bindir}/bon_csv2txt
%{_bindir}/bon_csv2html
%{_mandir}/man1/*.1*
%{_mandir}/man8/*.8*

%changelog
* Sun Mar  1 2009 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.03e-6
- Update to 1.03e.

* Thu Jul 24 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.03d-5
- Update to 1.03d.

* Sun Feb  3 2008 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.03c-4
- Update to 1.03c.

* Sat Dec 29 2007 Axel Thimm <Axel.Thimm@ATrpms.net> - 1.03b-3
- Update to 1.03b.

* Sat Nov  6 2004 Axel Thimm <Axel.Thimm@ATrpms.net>
- Initial build.
